﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Threading;

namespace Sample
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void XamMonthCalendar_ExecutedCommand(object sender, Infragistics.Windows.Controls.Events.ExecutedCommandEventArgs e)
        {
            XamMonthCalendar xamMonthCalendar = sender as XamMonthCalendar;
            xamMonthCalendar.Dispatcher.BeginInvoke(new Action(() =>
            {
                DependencyObject fobj =
                     Infragistics.Windows.Utilities.GetDescendantFromType<CalendarDay>(
                     xamMonthCalendar,
                     true,
                     (calDay) =>
                     {
                         BindingExpression bg = calDay.GetBindingExpression(CalendarDay.BackgroundProperty);
                         if (bg != null)
                         {
                             bg.UpdateTarget();
                         }
                         BindingExpression fg = calDay.GetBindingExpression(CalendarDay.ForegroundProperty);
                         if (fg != null)
                         {
                             fg.UpdateTarget();
                         }
                         return false;
                     });
            }),DispatcherPriority.Background);

        }
    }
}
